Subject: Re: libnuma interleaving oddness

From: Andi Kleen <[email-masked]>
Date: Wed, 30 Aug 2006 20:12:57 +0200

> On my list of random things to do is trying to improve the test
> coverage in this area.  We keep running into bugs or possible bugs or
> confusion on expected behaviour.  I'm going through the code trying to
> understand it and writing little programs to confirm my understanding
> here and there anyway.

numactl has a little regression test suite in test/* that tests a lot of stuff,
but not all. Feel free to extend it.

-Andi